### Struct

# Qmi MessageUimRefreshRegisterInput

since: 1.28

#### Description [src]

    struct QmiMessageUimRefreshRegisterInput {
      /* No available fields */
    }

The `QmiMessageUimRefreshRegisterInput` structure contains private data and should only be accessed using the provided API.

Available since: 1.28

#### Constructors

###### qmi_message_uim_refresh_register_input_new

Allocates a new `QmiMessageUimRefreshRegisterInput`.

since: 1.28

#### Instance methods

###### qmi_message_uim_refresh_register_input_get_info

Get the ‘Info’ field from `self`.

since: 1.28

###### qmi_message_uim_refresh_register_input_get_info_gir

Get the ‘Info’ field from `self`.

since: 1.32

###### qmi_message_uim_refresh_register_input_get_session

Get the ‘Session’ field from `self`.

since: 1.28

###### qmi_message_uim_refresh_register_input_ref

Atomically increments the reference count of `self` by one.

since: 1.28

###### qmi_message_uim_refresh_register_input_set_info

Set the ‘Info’ field in the message.

since: 1.28

###### qmi_message_uim_refresh_register_input_set_info_gir

Set the ‘Info’ field in the message.

since: 1.32

###### qmi_message_uim_refresh_register_input_set_session

Set the ‘Session’ field in the message.

since: 1.28

###### qmi_message_uim_refresh_register_input_unref

Atomically decrements the reference count of `self` by one. If the reference count drops to 0, `self` is completely disposed.

since: 1.28